<!DOCTYPE html>
<html lang="en">

<head>
  <title>Thea's Pantry Intake Form</title>
</head>

  <body>
  <img src="assets/WSU_logo.png" alt="WSU logo" width="350" height="125">
  <div class="content">
  <h1>Thea's Pantry Intake Form</h1>

<p>
  <label for="studentId">
    <h4>Enter Your ID Number:&nbsp;&nbsp;</h4>
  </label>
    <!-- Student ID text box -->
    <input #idbox type="text" id="studentId"  (keyup)="studentIdAdd(idbox.value)">
</p>
<div>
  <h2>
    Biographical Data
  </h2>
  <!-- Student Age Range Dropdown Menu -->
  <label for="studentsAgeRange">
    <h4>
      Students Age Range:&nbsp;&nbsp;
    </h4>
  </label>
  <select id="studentsAgeRange" (change)="studentsAgeRangeAdd($event.target.value)">>
    <option value="empty">Select one of the Options</option>
    <option value="0">0-4</option>
    <option value="1">5-17</option>
    <option value="2">18-64</option>
    <option value="3">65+</option>
  </select>
</div>

<div>
  <!-- Student Housing Information -->
  <h2>Housing Information </h2>
</div>
 <form role="form">
    <div class="checkbox">
      <h3>
        Are You a Resident
      </h3>

      <label class="container1">YES
        <label for="resident1"></label>
        <input type="radio" id="resident1" checked="checked" name="radios" (change)="residentAdd(true)">
        <span class="checkmark1"></span>
      </label>
      <label class="container1">NO
        <label for="resident2"></label>
        <input type="radio" id="resident2" checked="checked" name="radios" (change)="residentAdd(false)">
        <span class="checkmark1"></span>
      </label>
    </div>

    <div class="form-group">
      <div class="row">
        <div class="col-sm-5">
          <label for="zipcode"><h4> Zip Code:&nbsp;&nbsp;</h4></label>
          <input #zipbox id="zipcode" type="text" (keyup)="zipCodeAdd(zipbox.value)" value="01602">
        </div>
      </div>
    </div>
  </form>


<form>
  <!-- Student Housing Information -->
  <div class="HouseHoldGroup">
    <h4>
      Household Number:&nbsp;&nbsp;
    </h4>
      <label for="houseHoldNumber"></label>
      <select id="houseHoldNumber" (change)="houseHoldNumberAdd($event.target.value)">
        <option value="empty"> Select Household Number</option>
        <option value="0">1</option>
        <option value="1">2</option>
        <option value="2">3</option>
        <option value="3">4</option>
        <option value="4">5</option>
        <option value="5">5+</option>
      </select>
  </div>
</form>
    <!-- Student Benefits Information -->
<h2> Benefits Information</h2>
    <p><i>Check all that apply</i></p>

  <br>
    <div>

      <label class="container">SSI
        <label for="ssi"></label>
       <input type="checkbox" id="ssi" (change)="ssiAdd($event.target.checked)">
       <span class="checkmark"></span>
      </label>
      &nbsp;&nbsp;
  <label class="container">TANF/EADC
    <label for="tanfeadc"></label>
    <input type="checkbox" id="tanfeadc" (change)="tanfeadcAdd($event.target.checked)">
    <span class="checkmark"></span>
  </label>
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
  <label class="container">SNAP/Food Stamps
    <label for="snap"></label>
    <input type="checkbox" id="snap" (change)="snapAdd($event.target.checked)">
    <span class="checkmark"></span>
  </label>

  <label class="container">WIC
    <label for="wic"></label>
    <input type="checkbox" id="wic" (change)="wicAdd($event.target.checked)">
    <span class="checkmark"></span>
  </label>
  </div>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    <p> <div>
      <label class="container">SFSP
        <label for="sfps"></label>
        <input type="checkbox" id="sfps" (change)="sfpsAdd($event.target.checked)">
        <span class="checkmark"></span>
      </label>

      <label class="container">School Breakfast
        <label for="schoolBreakFast"></label>
        <input type="checkbox" id="schoolBreakFast" (change)="schoolBreakFastAdd($event.target.checked)">
        <span class="checkmark"></span>
      </label>
    &nbsp;&nbsp;&nbsp;
      <label class="container">School Lunch
        <label for="schoolLunch"></label>
        <input type="checkbox" id="schoolLunch" (change)="schoolLunchAdd($event.target.checked)">
        <span class="checkmark"></span>
      </label>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      <label class="container">Financial Aid
        <label for="financialAid"></label>
        <input type="checkbox" id="financialAid" (change)="financialAidAdd($event.target.checked)">
        <span class="checkmark"></span>
      </label>
    </div>

    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    <p>
        <h4>
          Other Benefits:&nbsp;&nbsp;
        </h4>

      <label for="otherBenefits"></label>
      <input #otherbenefitbox type="text" id="otherBenefits"  (keyup)="otherBenefitsAdd(otherbenefitbox.value)">

    <!-- Student Financial Information -->
    <h2>Financial Information</h2>
      <label class="container1">Employed
        <label for="employmentStatus1"></label>
        <input type="radio" id= "employmentStatus1" checked="checked" name="radios" (change)="employmentStatusAdd(true)">
        <span class="checkmark1"></span>
      </label>
      <label class="container1">Unemployed
        <label for="employmentStatus2"></label>
        <input type="radio" id="employmentStatus2" checked="checked" name="radios" (change)="employmentStatusAdd(false)">
        <span class="checkmark1"></span>
      </label>

  <div>
    <br>

    <button (click)="buttonAdd()" style="height:30px; width: 100px; position:center; "> Submit</button>
  </div>

    <br>
    <br>
    result:{{submit}}
    <br>


</div>
  </body>
  </html>
